@import "../theme";
@import "../common";

.footer-wrapper {
  border-top: 1px solid $grey;
  border-bottom: 1px solid $grey;

  @media (max-width: 1200px) {

  }
}

.footer {

  &-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 0;

    @media (max-width: 1200px) {
      align-items: flex-end;
    }

    &__logo {
      width: 140px;
      @media (max-width: 1200px) {
        width: 110px;
      }
    }

    &-right {
      display: flex;
    }

    &-menu {
      display: flex;
      align-items: center;
      margin-right: 60px;

      &__item {
        font-weight: 600;
        font-size: 18px;
        line-height: 22px;
        color: $grey;

        &:hover {
          @extend .text-purple-gradient;
        }

        &:not(:last-child) {
          margin-right: 40px;
        }
      }
    }

    &-social {
      display: flex;
      align-items: center;

      &__item {
        width: 18px;
        height: 18px;
        mask-repeat: no-repeat;
        mask-position: center;
        background-color: $grey;

        &.twitter {
          mask-image: url("static/TheFooter/twitter.svg");
        }

        &.discord {
          mask-image: url("static/TheFooter/discord.svg");
        }

        &:not(:last-child) {
          margin-right: 20px;
        }

        &:hover {
          background-color: transparent;
          background-image: linear-gradient(260.39deg, #00A79D 0%, #8C41CE 96.71%);
        }
      }
    }
  }

  &-privacy {
    padding: 24px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__text {
      font-weight: 500;
      font-size: 12px;
      line-height: 130%;
      color: $grey;
    }

    &-links {
      display: flex;
      align-items: center;

      &__link {
        @extend .hyperlink;
        font-weight: 500;
        font-size: 12px;
        line-height: 130%;
        color: $grey;
        &:not(:last-child) {
          margin-right: 20px;
        }
      }
    }
  }
}
